summaryrefslogtreecommitdiffstats
path: root/bash
diff options
context:
space:
mode:
authorPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 13:53:35 +0100
committerPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 13:53:35 +0100
commit2d8d1659f7b7876a687dbda3740a880a04b717f1 (patch)
treea710ae4d6e5091e5d865aff57fa4a1d61f18e3c2 /bash
parente2ce4752ee74594d716379ce127408bfc9695635 (diff)
Uploading script for downloading git repositories.
This script will download required repositories found in proper list. Change-Id: Ica5367c9ddb31055274b906fb1c34fb261a25353 Issue-ID: OOM-1551 Signed-off-by: Piotr Perzanowski <p.perzanowsk@samsung.com>
Diffstat (limited to 'bash')
-rw-r--r--bash/tools/creating_data/downloading-git-repos.sh31
-rw-r--r--bash/tools/data_list/git_manual_list4
-rw-r--r--bash/tools/data_list/git_repos_list4
3 files changed, 39 insertions, 0 deletions
diff --git a/bash/tools/creating_data/downloading-git-repos.sh b/bash/tools/creating_data/downloading-git-repos.sh
new file mode 100644
index 00000000..4cd936d0
--- /dev/null
+++ b/bash/tools/creating_data/downloading-git-repos.sh
@@ -0,0 +1,31 @@
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+lists_dir="$1"
+if [[ -z "$lists_dir" ]]; then
+ echo "Missing argument for lists_dir"
+ exit 1
+fi
+outdir="$2"
+if [[ -z "$outdir" ]]; then
+ outdir="./git-repo"
+fi
+mkdir -p "$outdir"
+cd "$outdir"
+# NOTE: will be better to use sh extension?
+sh $lists_dir/git_manual_list
+sh $lists_dir/git_repos_list \ No newline at end of file
diff --git a/bash/tools/data_list/git_manual_list b/bash/tools/data_list/git_manual_list
new file mode 100644
index 00000000..bbc08d2b
--- /dev/null
+++ b/bash/tools/data_list/git_manual_list
@@ -0,0 +1,4 @@
+git clone https://github.com/rancher/community-catalog.git --bare github.com/rancher/community-catalog.git
+git clone https://git.rancher.io/rancher-catalog.git --bare git.rancher.io/rancher-catalog.git
+git clone -b 2.0.0-ONAP --single-branch http://gerrit.onap.org/r/testsuite/properties.git --bare gerrit.onap.org/r/testsuite/properties.git
+git clone -b 2.0.0-ONAP --single-branch http://gerrit.onap.org/r/portal.git --bare gerrit.onap.org/r/portal.git \ No newline at end of file
diff --git a/bash/tools/data_list/git_repos_list b/bash/tools/data_list/git_repos_list
new file mode 100644
index 00000000..bbc08d2b
--- /dev/null
+++ b/bash/tools/data_list/git_repos_list
@@ -0,0 +1,4 @@
+git clone https://github.com/rancher/community-catalog.git --bare github.com/rancher/community-catalog.git
+git clone https://git.rancher.io/rancher-catalog.git --bare git.rancher.io/rancher-catalog.git
+git clone -b 2.0.0-ONAP --single-branch http://gerrit.onap.org/r/testsuite/properties.git --bare gerrit.onap.org/r/testsuite/properties.git
+git clone -b 2.0.0-ONAP --single-branch http://gerrit.onap.org/r/portal.git --bare gerrit.onap.org/r/portal.git \ No newline at end of file